Skip to content
Documentation
Explore guides

For administrators

Assignments

List, create, show, update, and delete CRM assignments.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all assignments

GET /api/v3/assignments

Parameter Type Description
name string Optional title search.
status string Optional status.
activity_type string Optional activity type.
activity_channel string Optional activity channel.
activity_outcome string Optional activity outcome.
all boolean Optional include-all flag.
order_by string Optional sort.
contact_id string (UUID) Optional contact id.
lead_id string (UUID) Optional lead id.
opportunity_id string (UUID) Optional opportunity id.

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "8d429d99-fbd4-4196-a9ac-94f1dc481344",
    "title": "Call the prospect",
    "status": "open",
    "activity_type": "call",
    "activity_channel": "phone",
    "activity_outcome": null,
    "outcome_note": null,
    "start_at": "2026-04-02T09:00:00.000+02:00",
    "end_at": "2026-04-02T09:30:00.000+02:00",
    "completed_at": null,
    "reminder_on": "2026-04-01",
    "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
    "employee_name": "Employee name",
    "assignment_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58",
    "assignment_category_name": "Follow-up",
    "lead_id": "e269dd36-bb60-41ac-9242-6ec7afe4c640",
    "contact_id": null,
    "opportunity_id": null,
    "target_type": "lead",
    "target_name": "Acme",
    "description": "Discuss pricing"
  }
]

Create an assignment

POST /api/v3/assignments

Request

{
  "title": "Call the prospect",
  "description": "Discuss pricing",
  "start_at": "2026-04-02T09:00:00.000+02:00",
  "end_at": "2026-04-02T09:30:00.000+02:00",
  "status": "open",
  "reminder_on": "2026-04-01",
  "activity_type": "call",
  "activity_channel": "phone",
  "activity_outcome": null,
  "outcome_note": null,
  "total_hours": 0.5,
  "total_cost": 0,
  "tags": [
    "sales"
  ],
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "assignment_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58",
  "lead_id": "e269dd36-bb60-41ac-9242-6ec7afe4c640",
  "contact_id": null,
  "opportunity_id": null
}

Response 200

{
  "id": "8d429d99-fbd4-4196-a9ac-94f1dc481344",
  "title": "Call the prospect",
  "status": "open",
  "activity_type": "call",
  "activity_channel": "phone",
  "activity_outcome": null,
  "outcome_note": null,
  "start_at": "2026-04-02T09:00:00.000+02:00",
  "end_at": "2026-04-02T09:30:00.000+02:00",
  "completed_at": null,
  "reminder_on": "2026-04-01",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "employee_name": "Employee name",
  "assignment_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58",
  "assignment_category_name": "Follow-up",
  "lead_id": "e269dd36-bb60-41ac-9242-6ec7afe4c640",
  "contact_id": null,
  "opportunity_id": null,
  "target_type": "lead",
  "target_name": "Acme",
  "description": "Discuss pricing"
}

Show an assignment

GET /api/v3/assignments/{assignment_id}

Parameter Type Description
assignment_id string (UUID) Assignment id.

Response 200

{
  "id": "8d429d99-fbd4-4196-a9ac-94f1dc481344",
  "title": "Call the prospect",
  "status": "open",
  "activity_type": "call",
  "activity_channel": "phone",
  "activity_outcome": null,
  "outcome_note": null,
  "start_at": "2026-04-02T09:00:00.000+02:00",
  "end_at": "2026-04-02T09:30:00.000+02:00",
  "completed_at": null,
  "reminder_on": "2026-04-01",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "employee_name": "Employee name",
  "assignment_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58",
  "assignment_category_name": "Follow-up",
  "lead_id": "e269dd36-bb60-41ac-9242-6ec7afe4c640",
  "contact_id": null,
  "opportunity_id": null,
  "target_type": "lead",
  "target_name": "Acme",
  "description": "Discuss pricing"
}

Update an assignment

PUT /api/v3/assignments/{assignment_id}

Request

{
  "title": "Call the prospect",
  "status": "done",
  "activity_outcome": "connected",
  "outcome_note": "Booked a demo",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6"
}

Response 200

{
  "id": "8d429d99-fbd4-4196-a9ac-94f1dc481344",
  "title": "Call the prospect",
  "status": "done",
  "activity_type": "call",
  "activity_channel": "phone",
  "activity_outcome": "connected",
  "outcome_note": "Booked a demo",
  "start_at": "2026-04-02T09:00:00.000+02:00",
  "end_at": "2026-04-02T09:30:00.000+02:00",
  "completed_at": null,
  "reminder_on": "2026-04-01",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "employee_name": "Employee name",
  "assignment_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58",
  "assignment_category_name": "Follow-up",
  "lead_id": "e269dd36-bb60-41ac-9242-6ec7afe4c640",
  "contact_id": null,
  "opportunity_id": null,
  "target_type": "lead",
  "target_name": "Acme",
  "description": "Discuss pricing"
}

Delete an assignment

DELETE /api/v3/assignments/{assignment_id}

Response 200

{}